Geeks With Blogs
MSMQ from the plumber's mate MSMQ is part of your business' IT plumbing which makes you the plumber and I'm your mate.

Simple answer - you don't.

MSMQ is part of the operating system so you cannot install a different version to the one that came with it:

Version of MSMQ Operating system
1.0 Windows NT4, Windows 95/98/Me
2.0 Windows 2000
3.0 Windows XP, Windows 2003
4.0 Windows Vista, Windows 2008 R1 *
5.0 Windows 7, Windows 2008 R2 *

* - Windows 2008 R1 and R2 are regarded as separate operating systems for this discussion.

If there is new functionality that you need then you will have to upgrade the operating system.

Note - "traditional" MSMQ messages are "backward compatible" so a message sent from a Windows XP client will be accepted by a Windows 2000 server. MSMQ messages sent over HTTP or PGM, though, will only work with destinations that support that functionality (so MSMQ 3.0 and above).

Posted on Saturday, September 11, 2010 3:04 AM | Back to top

Comments on this post: "How do I install MSMQ 4.0 on my Windows 2003 server?"

No comments posted yet.
Your comment:
 (will show your gravatar)

Copyright © John Breakwell | Powered by: | Join free